detect_kanji()

NAME
       detect_kanji - detect encoding method of kanji code.

SYNOPSIS
       #include <jconv.h>

       int detect_kanji(unsigned char *s);

DESCRIPTION
       The detect_kanji() function detects encoding method of s.

RETURN VALUE
       The detect_kanji() functions return an integer an integer defined
       _ASCII_, _ISO_2022_JP_, _SJIS_ ,_EUC_. _ISO_2022_KR_



convert_kanji_auto()

NAME
       convert_kanji_auto - convert kanji code from any to current locale.

SYNOPSIS
       #include <jconv.h>

       char *convert_kanji_auto(char *s);

DESCRIPTION
       The convert_kanji_auto() function detects encoding method of s and
       convert it to the code which specified by current locale.

RETURN VALUE
       The convert_kanji_auto() functions return a pointer to the converted
       string if it's succeed, or return NULL if it's failed.  When the
       return value isn't NULL, the programmer have to call free() because
       the convert_kanji_auto() function called strdup() internally.

SEE ALSO
       strdup(3), malloc(3), free(3)



convert_kanji()

NAME
       convert_kanji - convert kanji code from any to specified encoding.

SYNOPSIS
       #include <jconv.h>

       char *convert_kanji(char *s, char *dstset);

DESCRIPTION
       The convert_kanji() function detects encoding method of s and
       convert it to the code which specified by dstset. dstset should
       point to "ISO-2022-JP", "EUCJP" ,"SJIS", "ISO-2022-KR" or "EUCKR".

RETURN VALUE
       The convert_kanji() functions return a pointer to the converted
       string if it's succeed, or return NULL if it's failed.  When the
       return value isn't NULL, the programmer have to call free() because
       the convert_kanji() function called strdup() internally.

SEE ALSO
       strdup(3), malloc(3), free(3)



convert_kanji_strict()

NAME
       convert_kanji_strict - convert kanji code from/to specified encoding.

SYNOPSIS
       #include <jconv.h>

       char *convert_kanji_strict(char *s, char *dstset, char *srcset);

DESCRIPTION
       The convert_kanji_strict() function  convert s from the code which is
       specified by srcset to the code which is specified by dstset. both srcset
       and dstset should point to "ISO-2022-JP", "EUCJP", "SJIS", 
       "ISO-2022-KR", "EUCKR".

RETURN VALUE
       The convert_kanji_strict() functions return a pointer to the converted
       string if it's succeed, or return NULL if it's failed.  When the
       return value isn't NULL, the programmer have to call free() because
       the convert_kanji_strict() function called strdup() internally.

SEE ALSO
       strdup(3), malloc(3), free(3)
